- Aldebaran documentation |
- C++ Libraries |
- index

libqicore-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Protected Member Functions | List of all members
qi::LogProvider Class Referenceabstract

`#include <logprovider.hpp>`

## Public Member Functions
virtual | ~LogProvider ()=default
virtual void | setCategoryPrefix (const std::string &categoryPrefix)=0
virtual void | setLevel (qi::LogLevel level)=0
virtual void | addFilter (const std::string &filter, qi::LogLevel level)=0
virtual void | setFilters (const std::vector< std::pair< std::string, qi::LogLevel > > &filters)=0
virtual void | setLogger (LogManagerPtr logger)=0

## Protected Member Functions
| LogProvider ()=default

## Detailed Description

Registers to a local or remote Logger service Sends local logger message to it Honors commands from it to configure local logger verbosity.

Definition at line 34 of file logprovider.hpp.

## Constructor & Destructor Documentation

qi::LogProvider::LogProvider | ( |  | ) |
| protected default

virtual qi::LogProvider::~LogProvider | ( |  | ) |
| virtual default

## Member Function Documentation

virtual void qi::LogProvider::addFilter | ( | const std::string & | filter,
|  | qi::LogLevel | level
| ) |  |
| pure virtual

virtual void qi::LogProvider::setCategoryPrefix | ( | const std::string & | categoryPrefix | ) |
| pure virtual

virtual void qi::LogProvider::setFilters | ( | const std::vector< std::pair< std::string, qi::LogLevel > > & | filters | ) |
| pure virtual

virtual void qi::LogProvider::setLevel | ( | qi::LogLevel | level | ) |
| pure virtual

virtual void qi::LogProvider::setLogger | ( | LogManagerPtr | logger | ) |
| pure virtual

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqicore/libqicore/qicore/logprovider.hpp